# std::atomic<T>::fetch_or

From cppreference.com
< cpp‎ | atomic‎ | atomic

|  | (since C++11) (member only of `atomic<Integral>` template specialization)
T fetch_or( T arg, std::memory_order order = std::memory_order_seq_cst ) noexcept; |  |
T fetch_or( T arg, std::memory_order order = std::memory_order_seq_cst ) volatile noexcept; |  |

Atomically replaces the current value with the result of bitwise OR of the value and `arg`. The operation is read-modify-write operation. Memory is affected according to the value of `order`.

### Parameters

arg | - | the other argument of bitwise OR
order | - | memory order constraints to enforce

### Return value

The value immediately preceding the effects of this function in the modification order of `*this`.

### See also

atomic_fetch_oratomic_fetch_or_explicit (C++11)(C++11) | replaces the atomic object with the result of bitwise OR with a non-atomic argument and obtains the previous value of the atomic (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic/fetch_or&oldid=93056"